Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger Class Reference

Purges image variations using the IOService. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger:

## Public Member Functions
| __construct (IOServiceInterface $io, TagAwareAdapterInterface $cache, CacheIdentifierGeneratorInterface $cacheIdentifierGenerator, AliasGeneratorDecorator $aliasGeneratorDecorator)
| setLogger ($logger)
| purge (array $aliasNames)
| Purge all variations generated for aliases in $aliasNames. More...

## Private Attributes
| $io
| $cache
| $cacheIdentifierGenerator
| $aliasGeneratorDecorator
| $logger

## Detailed Description

Purges image variations using the IOService.

Depends on aliases being stored in their own folder, with each alias folder mirroring the original files structure.

Definition at line 20 of file IOVariationPurger.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger::__construct | ( | IOServiceInterface | $io,
|  | TagAwareAdapterInterface | $cache,
|  | CacheIdentifierGeneratorInterface | $cacheIdentifierGenerator,
|  | AliasGeneratorDecorator | $aliasGeneratorDecorator
| ) |  |

Definition at line 37 of file IOVariationPurger.php.

References eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger\$aliasGeneratorDecorator, eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger\$cache, eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger\$cacheIdentifierGenerator, and eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger\$io.

## Member Function Documentation

## ◆ purge()

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger::purge | ( | array | $aliasNames | ) |

Purge all variations generated for aliases in $aliasNames.

Parameters

  array | $aliasNames |

Implements eZ\Publish\SPI\Variation\VariationPurger.

Definition at line 57 of file IOVariationPurger.php.

## ◆ setLogger()

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger::setLogger | ( |  | $logger | ) |

Parameters

  \Psr\Log\LoggerInterface | $logger |

Definition at line 52 of file IOVariationPurger.php.

References eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger\$logger.

## Member Data Documentation

## ◆ $aliasGeneratorDecorator

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger::$aliasGeneratorDecorator
| private

Definition at line 32 of file IOVariationPurger.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger\__construct().

## ◆ $cache

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger::$cache
| private

Definition at line 26 of file IOVariationPurger.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger\__construct().

## ◆ $cacheIdentifierGenerator

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger::$cacheIdentifierGenerator
| private

Definition at line 29 of file IOVariationPurger.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger\__construct().

## ◆ $io

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger::$io
| private

Definition at line 23 of file IOVariationPurger.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger\__construct().

## ◆ $logger

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger::$logger
| private

Definition at line 35 of file IOVariationPurger.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\IOVariationPurger\setLogger().

The documentation for this class was generated from the following file:

- IOVariationPurger.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.